Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Interface HibernateSessionProxy

All Superinterfaces:
  org.hibernate.event.spi.EventSource, org.hibernate.engine.jdbc.LobCreationContext, Serializable, org.hibernate.Session, org.hibernate.engine.spi.SessionImplementor, org.hibernate.SharedSessionContract

All Known Subinterfaces:
  FullTextHibernateSessionProxy

    public interface HibernateSessionProxy

extends org.hibernate.Session, org.hibernate.engine.spi.SessionImplementor, org.hibernate.event.spi.EventSource

Marker interface that signifies a proxy is using the HibernateSessionInvocationHandler. Also here for backwards compatibility with previous HibernateSessionProxy.

Author:
  Gavin King, Emmanuel Bernard, Mike Youngstrom

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.engine.jdbc.LobCreationContext
`org.hibernate.engine.jdbc.LobCreationContext.Callback<T>`

Nested classes/interfaces inherited from interface org.hibernate.Session
`org.hibernate.Session.LockRequest`

Method Summary

Methods inherited from interface org.hibernate.event.spi.EventSource
`delete, forceFlush, getActionQueue, instantiate, merge, persist, persistOnFlush, refresh`

Methods inherited from interface org.hibernate.engine.spi.SessionImplementor
`afterScrollOperation, applyNonFlushedChanges, bestGuessEntityName, connection, disableTransactionAutoJoin, executeNativeUpdate, executeUpdate, flush, generateCacheKey, generateEntityKey, getCacheMode, getContextEntityIdentifier, getDontFlushFromFind, getEnabledFilters, getEntityPersister, getEntityUsingInterceptor, getFactory, getFetchProfile, getFilterParameterType, getFilterParameterValue, getFlushMode, getInterceptor, getJdbcConnectionAccess, getLoadQueryInfluencers, getNamedQuery, getNamedSQLQuery, getNonFlushedChanges, getPersistenceContext, getTenantIdentifier, getTimestamp, getTransactionCoordinator, guessEntityName, immediateLoad, initializeCollection, instantiate, internalLoad, isClosed, isConnected, isEventSource, isOpen, isTransactionInProgress, iterate, iterateFilter, list, list, list, listCustomQuery, listFilter, scroll, scroll, scroll, scrollCustomQuery, setAutoClear, setCacheMode, setFetchProfile, setFlushMode`

Methods inherited from interface org.hibernate.engine.jdbc.LobCreationContext
`execute`

Methods inherited from interface org.hibernate.Session
`buildLockRequest, byId, byId, byNaturalId, byNaturalId, bySimpleNaturalId, bySimpleNaturalId, cancelQuery, clear, close, contains, createFilter, delete, delete, disableFetchProfile, disableFilter, disconnect, doReturningWork, doWork, enableFetchProfile, enableFilter, evict, flush, get, get, get, get, get, get, getCacheMode, getCurrentLockMode, getEnabledFilter, getEntityName, getFlushMode, getIdentifier, getLobHelper, getSessionFactory, getStatistics, getTypeHelper, isConnected, isDefaultReadOnly, isDirty, isFetchProfileEnabled, isOpen, isReadOnly, load, load, load, load, load, load, load, lock, lock, merge, merge, persist, persist, reconnect, refresh, refresh, refresh, refresh, refresh, replicate, replicate, save, save, saveOrUpdate, saveOrUpdate, sessionWithOptions, setCacheMode, setDefaultReadOnly, setFlushMode, setReadOnly, update, update`

Methods inherited from interface org.hibernate.SharedSessionContract
`beginTransaction, createCriteria, createCriteria, createCriteria, createCriteria, createQuery, createSQLQuery, getNamedQuery, getTenantIdentifier, getTransaction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.